/*
Autor: Elena Chong
Date: Nov 27, 2018
Read data from HC-SR04 sensor using the Attiny45. Data is computed for distance in cm
then sent to serial in raw byte for processing.
*/
#include <SoftwareSerial.h>
const int trigPin = 2;
const int echoPin = 3;
const int RX=7;
const int TX=6;
long duration;
int distance;
SoftwareSerial Serial(TX,RX);


void setup() {
  pinMode(trigPin, OUTPUT); 
  pinMode(echoPin, INPUT); 
  Serial.begin(9600);
//  Serial.println("Initializing..");
}
void loop() {
  digitalWrite(trigPin, LOW);   
  delayMicroseconds(5);         
  digitalWrite(trigPin, HIGH); 
  delayMicroseconds(10);       
  duration = pulseIn(echoPin, HIGH); 
  distance = duration * 0.034 / 2; 
//  Serial.print("Distance: ");
//  Serial.println(distance);
  Serial.write(distance); //for processing
  delay(100); // for data to be read correctly by processing.
  
}
